Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000736 [Piwigo] tags minor always 2007.08.24 19:42 2008.06.07 22:22
Reporter patnoe View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform
Status closed   OS WINNT
Projection none   OS Version XP
ETA none Fixed in Version Butterfly 1 Product Version 1.7.0
  Target Version 2.0.0 Product Build
Summary 0000736: problème fonction tags
Description Ma Base environ 366 900 photos.

Avant Identification et en sélectionnant la fonction tags, les lignes suivantes s'affichent :

SELECT id, name, url_name, count(*) counter
  FROM phpwebgallery_image_tag
    INNER JOIN phpwebgallery_tags ON tag_id = id
  WHERE image_id IN (669, 670, 671, 672, 673, 674, 675, 676, 677, 678, 679, 680, 681, 682, 683, 684,
685, 686, 687, 688, 689, 690, 691, 692, 693, 694, 89238, 89239, 89240, 89241,
................................
................................
de nombreuses lignes s'affichent comme suit

367000, 367001, 367002, 367003, 367004, 367005, 367006, 367007, 367008, 367009,
367010, 367011, 367012, 367013, 367014, 367015, 367016, 367017, 367018, 367019)
  GROUP BY tag_id
;
[mysql error 2006] MySQL server has gone away

Warning: mysql_fetch_assoc(): supplied argument is not a valid MySQL result resource in E:\www\phpwebgallery\include\functions_tag.inc.php on line 87

UPDATE phpwebgallery_sessions
  SET expiration = now(),
  data = ''
  WHERE id = '37c2e9bff16b52699fa057e365984a8d'
;
[mysql error 2006] MySQL server has gone away


Après Identification, la fonction se déroule normalement.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version 5.0.41
PHP version 5.2.3
Web server Apache 2
Attached Files

- Relationships

-  Notes
(0001952)
rub (developer)
2007.08.25 01:27

S'il y a trop d'image les requêtes ne peuvent s'exécuter.
Vu le code, il suffirait de faire une jointure directement avec la table #_images.
(0001953)
patnoe (reporter)
2007.08.25 08:08

Il faut lire : Après Identification, la fonction génère le même défaut.
(0001954)
VDigital (reporter)
2007.08.25 10:39

"Vu le code, il suffirait de faire une jointure directement avec la table #_images."
Je ne suis pas convaincu que cela soit la bonne voie. Patnoe sera là pour faire les tests.
(0001955)
rub (developer)
2007.08.25 14:51

>"Vu le code, il suffirait de faire une jointure directement avec la table #_images."
> Je ne suis pas convaincu que cela soit la bonne voie. Patnoe sera là pour faire les tests.

Actuellement:
  o TOUTE la table image est lue
  o toutes ces informations sont passés dans un #where

Je suis sur à 90% que dans ce cas, la jointure sera meilleure.
A tester donc...
(0001971)
plg (manager)
2007.09.07 12:13

> Je suis sur à 90% que dans ce cas, la jointure sera meilleure.

Oui, ou une sous-requête (je ne sais pas quel est la version MySQL officiellement requise pour faire tourner PWG, pour les sous-requêtes, faut un MySQL 4.1).

En tout cas, ce sera plus propre que la liste de toutes les image_id
(0001980)
rvelices (developer)
2007.09.12 06:28

[Subversion] r2087

- Issue History
Date Modified Username Field Change
2007.08.24 19:42 patnoe New Issue
2007.08.24 19:42 patnoe browser => any
2007.08.24 19:42 patnoe MySQL version => 5.0.41
2007.08.24 19:42 patnoe PHP version => 5.2.3
2007.08.24 19:42 patnoe Web server => Apache 2
2007.08.25 01:27 rub Note Added: 0001952
2007.08.25 08:07 patnoe Issue Monitored: patnoe
2007.08.25 08:08 patnoe Note Added: 0001953
2007.08.25 10:39 VDigital Note Added: 0001954
2007.08.25 14:51 rub Note Added: 0001955
2007.09.07 12:13 plg Note Added: 0001971
2007.09.11 05:41 rvelices Assigned To => rvelices
2007.09.11 05:41 rvelices Status new => assigned
2007.09.12 06:28 rvelices Note Added: 0001980
2007.09.12 06:28 rvelices Status assigned => closed
2007.09.12 06:28 rvelices Resolution open => fixed
2007.09.12 06:28 rvelices Fixed in Version => Butterfly 1
2008.06.07 22:22 plg Target Version => Butterfly


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker